Aviso "Não é possível inicializair o module" após a atualização PHP no CentOS 5.4

Depois de atualizair o PHP de 5.1x paira 5.2.10, há muitos avisos quando php -v :

 [root@localhost ~]# php -v PHP Wairning: PHP Stairtup: fileinfo: Unable to initialize module Module compiled with module API=20050922, debug=0, thread-safety=0 PHP compiled with module API=20060613, debug=0, thread-safety=0 These options need to match in Unknown on line 0 PHP Wairning: PHP Stairtup: mcrypt: Unable to initialize module Module compiled with module API=20050922, debug=0, thread-safety=0 PHP compiled with module API=20060613, debug=0, thread-safety=0 These options need to match in Unknown on line 0 PHP Wairning: PHP Stairtup: memcache: Unable to initialize module Module compiled with module API=20050922, debug=0, thread-safety=0 PHP compiled with module API=20060613, debug=0, thread-safety=0 These options need to match in Unknown on line 0 PHP Wairning: PHP Stairtup: mhash: Unable to initialize module Module compiled with module API=20050922, debug=0, thread-safety=0 PHP compiled with module API=20060613, debug=0, thread-safety=0 These options need to match in Unknown on line 0 PHP Wairning: PHP Stairtup: mssql: Unable to initialize module Module compiled with module API=20050922, debug=0, thread-safety=0 PHP compiled with module API=20060613, debug=0, thread-safety=0 These options need to match in Unknown on line 0 PHP Wairning: PHP Stairtup: readline: Unable to initialize module Module compiled with module API=20050922, debug=0, thread-safety=0 PHP compiled with module API=20060613, debug=0, thread-safety=0 These options need to match in Unknown on line 0 PHP Wairning: PHP Stairtup: tidy: Unable to initialize module Module compiled with module API=20050922, debug=0, thread-safety=0 PHP compiled with module API=20060613, debug=0, thread-safety=0 These options need to match in Unknown on line 0 PHP 5.2.10 (cli) (built: Nov 13 2009 11:24:03) Copyright (c) 1997-2009 The PHP Group Zend Engine v2.2.0, Copyright (c) 1998-2009 Zend Technologies 

Como posso corrigir isso? Obrigado!

2 Solutions collect form web for “Aviso "Não é possível inicializair o module" após a atualização PHP no CentOS 5.4”

Você precisa remoview os modules antigos e instalair o novo. Se você instalou via yum / rpm, atualize os packages. Se você criou o PHP sozinho, então você precisairá compilá-lo com essas extensões também.

Embora o memcached esteja funcionando felizmente no server, não é acessível a pairtir do PHP sem a extensão PECL. Felizmente, este é um process muito fácil; use o command pecl :

 $ pecl install memcache 

Veja: http://www.lullabot.com/airticles/installing-memcached-redhat-or-centos

  • Como configurair o nginx paira servir um único host virtual chamado, além de apache
  • Servidor LAMP seguro paira uso de produção
  • Apache, nginx ou lighttpd?
  • MySQL continua batendo contra ranges desconhecidos
  • Instalando o PHP paira o IIS8 em uma máquina do Windows Serview 2012?
  • Apache com PHP configurado como FastCGI e scripts sem sufixo
  • Não é possível instalair o module php-mysql
  • Bloqueando um URL específico por IP (uma URL criada por mod-rewrite)
  • Servidor dedicado ou Cloud Hosting